rte_node::__rte_cache_aligned(3)

NAME
rte_node::__rte_cache_aligned

SYNOPSIS

#include <rte_graph_worker_common.h>

  Data Fields

union {
};
uint16_t size
uint16_t idx
rte_graph_off_t off
uint64_t total_cycles
uint64_t total_calls
uint64_t total_objs
struct rte_node * nodes []

Detailed Description

Fast path area cache line 2.

Definition at line 124 of file rte_graph_worker_common.h.

Field Documentation

  union { ... }
Node Context.

  uint16_t size
Total number of objects available.

Definition at line 133 of file rte_graph_worker_common.h.

  uint16_t idx
Number of objects used.

Definition at line 134 of file rte_graph_worker_common.h.

  rte_graph_off_t off
Offset of node in the graph reel.

Definition at line 135 of file rte_graph_worker_common.h.

  uint64_t total_cycles
Cycles spent in this node.

Definition at line 136 of file rte_graph_worker_common.h.

  uint64_t total_calls
Calls done to this node.

Definition at line 137 of file rte_graph_worker_common.h.

  uint64_t total_objs
Objects processed by this node.

Definition at line 138 of file rte_graph_worker_common.h.

  void** objs
Array of object pointers.

Definition at line 140 of file rte_graph_worker_common.h.

  rte_node_process_t process
Process function.

Definition at line 144 of file rte_graph_worker_common.h.

  struct rte_node* nodes[]
Next nodes.

Definition at line 147 of file rte_graph_worker_common.h.

Author

Generated automatically by Doxygen for DPDK from the source code.